Bug 1201777 - strace 4.10 is FTBFS on aarch64
Summary: strace 4.10 is FTBFS on aarch64
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Dmitry V. Levin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2015-03-13 13:28 UTC by Peter Robinson
Modified: 2017-07-31 18:45 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-21 22:01:54 UTC


Attachments (Terms of Use)

Description Peter Robinson 2015-03-13 13:28:44 UTC
strace 4.10 is FTBFS on F-23/22/21:

F-23 http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=265919
F-22 http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=266426
F-21 http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=266164

gcc -DHAVE_CONFIG_H -I.  -I./linux/aarch64 -I./linux/aarch64 -I./linux -I./linux  -Wall -Wwrite-strings -Wsign-compare -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -c -o strace-sigreturn.o `test -f 'sigreturn.c' || echo './'`sigreturn.c
gcc -DHAVE_CONFIG_H -I.  -I./linux/aarch64 -I./linux/aarch64 -I./linux -I./linux  -Wall -Wwrite-strings -Wsign-compare -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -c -o strace-sock.o `test -f 'sock.c' || echo './'`sock.c
gcc -DHAVE_CONFIG_H -I.  -I./linux/aarch64 -I./linux/aarch64 -I./linux -I./linux  -Wall -Wwrite-strings -Wsign-compare -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -c -o strace-socketutils.o `test -f 'socketutils.c' || echo './'`socketutils.c
sigreturn.c: In function 'sys_sigreturn':
sigreturn.c:27:7: error: 'aarch64_sp_ptr' undeclared (first use in this function)
     (*aarch64_sp_ptr + SIZEOF_STRUCT_SIGINFO +
       ^
sigreturn.c:27:7: note: each undeclared identifier is reported only once for each function it appears in
sigreturn.c:30:7: error: 'arm_sp_ptr' undeclared (first use in this function)
     (*arm_sp_ptr +
       ^
Makefile:2049: recipe for target 'strace-sigreturn.o' failed

Comment 1 Marcin Juszkiewicz 2015-03-16 17:56:37 UTC
Strace needs several fixes which were done after 4.10 release and some which are still discussed on strace-devel ML (syscall table one which breaks getrandom test).

Comment 2 Marcin Juszkiewicz 2015-03-16 18:01:59 UTC
commit 71d6ffc6ed0a539257f0ec1a28d34c8d88bebce8
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu Mar 12 16:17:45 2015 +0100

    aarch64: properly decode generic syscalls
    
    * linux/aarch64/syscallent1.h: Don't override entries 277 to 1023.

On this commit there is only stat64-v test failing on aarch64.

Comment 3 Dmitry V. Levin 2015-03-16 18:28:35 UTC
stat64-v test was fixed by commit v4.10-15-gf79252f.

Comment 4 Marcin Juszkiewicz 2015-03-16 18:33:21 UTC
Dmitry: cool! (I did not checked your branch before)

Comment 5 Dmitry V. Levin 2015-03-16 20:38:57 UTC
There is another aarch64-related commit in HEAD: v4.10-16-g68804b3 enables uid.test on architectures like aarch64.

Scratch build reports no problems with v4.10-16-g68804b3 on aarch64:
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2923097

Comment 6 Marcin Juszkiewicz 2015-04-01 17:22:05 UTC
Dmitry: how about update of package in Fedora to get it built on aarch64?

Comment 7 Dmitry V. Levin 2015-04-03 00:24:13 UTC
(In reply to Marcin Juszkiewicz from comment #6)
> Dmitry: how about update of package in Fedora to get it built on aarch64?

That is, to release a new version of strace, and update the package in Fedora?

Comment 8 Marcin Juszkiewicz 2015-04-03 04:42:10 UTC
Would be great :)

Comment 9 Marcin Juszkiewicz 2015-04-28 11:08:33 UTC
ping?

Comment 10 Jon Disnard 2015-04-28 15:07:05 UTC
Ping.
Can you please update the Fedora 22 package?

Comment 11 Peter Robinson 2015-05-04 11:57:22 UTC
Can we have this fixed for aarch64 and updates pushed. This has been broken/regressed for 2 months and is now causing us quite a number of issues due to dependency chains on builds.

Comment 12 Marcin Juszkiewicz 2015-05-11 11:08:50 UTC
strace-4.10-2.fc23 uploaded into rawhide with set of backports added to get it back into buildable state on aarch64.

Package builds on all primary and secondary architectures.


Note You need to log in before you can comment on or make changes to this bug.